import { combineReducers } from '@reduxjs/toolkit';
import { persistReducer } from 'redux-persist';
import storage from 'redux-persist/lib/storage';

import reducerMessages from '../messages/reducer'
import reducerContacts from '../contacts/reducer'
import reducerChats from '../chats/reducer'
import reducerControlApp from '../controlApp/reducer'
import reducerLoading from '../loading/reducer';
import reducerAuthorization from '../authorization/reducer';

const authorizationPersistConfig = {
  key: 'auth',
  storage: storage,
};

export const rootReducer = combineReducers({
  isLoading: reducerLoading,
  messages:reducerMessages,
  chats: reducerChats,
  contacts:reducerContacts,
  controlApp: reducerControlApp,
  authorization: persistReducer(
    authorizationPersistConfig,
    reducerAuthorization,
  ),
});
